[guardian-dev] chatsecure android failing with jabberd2

Nathan of Guardian nathan at guardianproject.info
Wed Apr 22 20:41:08 EDT 2015



On Wed, Apr 22, 2015, at 08:10 PM, Greg Troxel wrote:
> 
> Update: actually, jabberd2 is not broken, because the specification has
> changed: RFC6121 obsoletes RFC3921.
> 
> In Appendix E:
> 
>   https://tools.ietf.org/html/rfc6121#appendix-E
> 
> it says:
> 
>   The protocol for session establishment was determined to be unnecessary
>   and therefore the content previously defined in Section 3 of RFC 3921
>   was removed.  However, for the sake of backward-compatibility server
>   implementations are encouraged to advertise support for the feature,
>   even though session establishment is a "no-op".
> 
> so requiring the capability is a bug in ChatSecure.

In truth, a bug in Smack XMPP library, which might be fixed in a more
recent version.

> (Thanks to Richard for pointing this out to me.)

Thanks for pointing this out, and we'll do all we can to get a bug fix
out shortly to confirm all this.

-- 
  Nathan of Guardian
  nathan at guardianproject.info


More information about the guardian-dev mailing list